Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface ISharedExtensionsModel

All Superinterfaces:
  IAdaptable, IBaseModel, IModel, IModelChangeProvider, ISharedPluginModel

All Known Subinterfaces:
  IExtensionsModel, IFragmentModel, IPluginModel, IPluginModelBase

public interface ISharedExtensionsModel
extends ISharedPluginModel

This type of model is created by parsing the plug-in manifest file but only takes the extensions and extension points into account.

Method Summary
`IExtensions` | `getExtensions()` Returns a top-level model object.
`IExtensions` | `getExtensions(boolean createIfMissing)` Returns a top-level model object.

Methods inherited from interface org.eclipse.pde.core.plugin.ISharedPluginModel
`getFactory, getInstallLocation`

Methods inherited from interface org.eclipse.pde.core.IModel
`getResourceString, getTimeStamp, getUnderlyingResource, isInSync, isLoaded, isReconcilingModel, load, load, reload`

Methods inherited from interface org.eclipse.pde.core.IBaseModel
`dispose, isDisposed, isEditable, isValid`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IModelChangeProvider
`addModelChangedListener, fireModelChanged, fireModelObjectChanged, removeModelChangedListener`

Method Detail

### getExtensions

    public IExtensions getExtensions()

  Returns a top-level model object. Equivalent to calling

      getPluginBase(true)

  .

  Returns:
    a top-level model object representing a plug-in or a fragment.

### getExtensions

    public IExtensions getExtensions(boolean createIfMissing)

  Returns a top-level model object.

  Parameters:
    `createIfMissing` - if true, root model object will be created if not defined.
  Returns:
    a top-level model object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.